Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

kernel build errors - help required

Message
Author
User avatar
anticapitalista
Forum Veteran
Forum Veteran
Posts: 5688
Joined: Sat Jul 15, 2006 10:40 am

Re: kernel build errors - help required

#11 Post by anticapitalista » Tue Mar 13, 2018 6:16 am

stsoh wrote:try upgrade binutils 2.8 to 2.30-7 (sid repo).
I'd rather not.
anticapitalista
Reg. linux user #395339.

Philosophers have interpreted the world in many ways; the point is to change it.

antiX-17 "Heather Heyer" - lean and mean.
https://antixlinux.com

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 390
Joined: Sun Aug 20, 2017 10:11 am

Re: kernel build errors - help required

#12 Post by stsoh » Tue Mar 13, 2018 6:46 am

Code: Select all

ld: unrecognised emulation mode: elf_x86
wait till source is fix in next release.
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
anticapitalista
Forum Veteran
Forum Veteran
Posts: 5688
Joined: Sat Jul 15, 2006 10:40 am

Re: kernel build errors - help required

#13 Post by anticapitalista » Tue Mar 13, 2018 7:01 am

stsoh wrote:

Code: Select all

ld: unrecognised emulation mode: elf_x86
wait till source is fix in next release.
Thanks for your help.

How do you know that the problem is in the source app?
Why does it work when compiling a 4.15 kernel, but not the 4.9.87 one?
anticapitalista
Reg. linux user #395339.

Philosophers have interpreted the world in many ways; the point is to change it.

antiX-17 "Heather Heyer" - lean and mean.
https://antixlinux.com

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 390
Joined: Sun Aug 20, 2017 10:11 am

Re: kernel build errors - help required

#14 Post by stsoh » Tue Mar 13, 2018 7:09 am

simple, u already identified the fault.

Code: Select all

ld: unrecognised emulation mode: elf_x86
Supported emulations: elf_x86_64 elf32_x86_64 elf_i386 elf_iamcu i386linux elf_l1om elf_k1om i386pep i386pe
that's why 4.15.9 work and 4.9.87 dun work.
MX-17.1_x64 Horizon, G41M-P33 Combo(MS-7592), Pentium E5400 (min/max: 1203/2700 MHz), 8Gb RAM (800 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.

User avatar
anticapitalista
Forum Veteran
Forum Veteran
Posts: 5688
Joined: Sat Jul 15, 2006 10:40 am

Re: kernel build errors - help required

#15 Post by anticapitalista » Tue Mar 13, 2018 8:35 am

Found a simpler fix. I installed binutils-multiarch and now it builds.
Thanks for the pointers stsoh.
anticapitalista
Reg. linux user #395339.

Philosophers have interpreted the world in many ways; the point is to change it.

antiX-17 "Heather Heyer" - lean and mean.
https://antixlinux.com

User avatar
anticapitalista
Forum Veteran
Forum Veteran
Posts: 5688
Joined: Sat Jul 15, 2006 10:40 am

Re: kernel build errors - help required

#16 Post by anticapitalista » Tue Mar 13, 2018 9:01 am

OK - I found the real culprit. It was one of the patches I used on the 4.9 series, but not the 4.15 one.
Something changed between 4.9.83 and 4.9.87 to render the patch obsolete - in fact applying it (as I did) causes the build failure.
anticapitalista
Reg. linux user #395339.

Philosophers have interpreted the world in many ways; the point is to change it.

antiX-17 "Heather Heyer" - lean and mean.
https://antixlinux.com

Post Reply

Return to “antiX”